# Note: upstream automake stuff is outdated, imake stuff outdated even more,
# plain Makefiles not outdated but messy.
# Use automake with some patches.
#
# Conditional build:
%bcond_without	xft	# Xft support

Summary:	Motif HTML widget
Summary(pl.UTF-8):	Widget do HTML-a oparty o Motif
Name:		XmHTML
Version:	1.1.10
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://downloads.sourceforge.net/xmhtml/%{name}-%{version}.tgz
# Source0-md5:	fd339d59d020da2ccf6e92bf65b810e2
Patch0:		%{name}-am.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-xft.patch
URL:		https://sourceforge.net/projects/xmhtml/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	motif-devel >= 1.2
%{?with_xft:BuildRequires:	xorg-lib-libXft-devel}
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XmHTML provides a widget capable of displaying HTML 3.2 conforming
text.

%description -l pl.UTF-8
XmHTML zawiera widget wyświetlający HTML w wersji 3.2.

%package devel
Summary:	Development package of XmHTML
Summary(pl.UTF-8):	Pliki nagłówkowe XmHTML
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	motif-devel >= 1.2
%{?with_xft:Requires:	xorg-lib-libXft-devel}

%description devel
Headers needed to compile XmHTML programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów korzystających z
XmHTML.

%package static
Summary:	Static version of XmHTML library
Summary(pl.UTF-8):	Statyczna biblioteka XmHTML
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of XmHTML library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki XmHTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{!?debug:CPPFLAGS="%{rpmcppflags} -DNDEBUG -Dproduction"}
%configure \
	%{?with_xft:--with-xft}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} html/man/man.{map,tmpl}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc APPS BUG-REPORTING CHANGES Changelog.txt DEBUGGING FEEDBACK FIXES LICENSE README THANKS TODO docs/{QUOTES,README.*,REASONS,progressive.txt}
%attr(755,root,root) %{_libdir}/libXmHTML.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmHTML.so.0

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/libXmHTML.so
%{_libdir}/libXmHTML.la
%{_includedir}/XmHTML

%files static
%defattr(644,root,root,755)
%{_libdir}/libXmHTML.a
%changelog
* Thu Aug 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/XmHTML.git;a=log;h=master

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> a47be62
- rebuild without libjpeg.la
- release 2 (by relup.sh)

* Sun May 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 706df2f
- new URLs, updated to 1.1.10
- updated and enhanced am patch (drop hacks from .spec)
- removed obsolete libpng,format-security patches
- added build patch (fix Motif build)
- added xft patch, enable Xft by default

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 2ae84c0
- release 15 (by relup.sh)

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 74732fb
- LGPL version

* Wed Nov 06 2013 Jan Rękorajski <baggins@pld-linux.org> 91263e5
- fix format string error
- rel 14

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a0461a8
- release 13 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> ee3b55b
- release 12 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> f162819
- added libpng patch (fixes build with libpng 1.5.x)

* Fri Feb 10 2012 Adam Gołębiowski <adamg@pld-linux.org> d23da5b
- move files in %prep, not in %build (breaks short-circuit builds)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e4b2d8c
- release 11

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ac6936
- release 10

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> b199129
- link with -lm

* Sun May 16 2010 sparky <sparky@pld-linux.org> 0ba16d7
- BR: xorg-lib-libXmu-devel

* Thu Apr 29 2010 Jakub Bogusz <qboosh@pld-linux.org> ac3dc02
- more verbose files, ghost soname symlink

* Sat Jan 30 2010 sparky <sparky@pld-linux.org> d450b70
- BR: xorg-lib-libXpm-devel

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8669e6
- release 9

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7da4c55
- release 8

* Tue Nov 11 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 93c1ae6
- release 7

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f3af19b
- rel 6

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 13309b0
- rel 5

